Debian Bug report logs - #441126
gfpoken - FTBFS: montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.

version graph

Package: gfpoken; Maintainer for gfpoken is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for gfpoken is src:gfpoken.

Reported by: Bastian Blank <waldi@debian.org>

Date: Thu, 6 Sep 2007 21:36:04 UTC

Severity: minor

Found in version gfpoken/0.30-2

Fixed in version gfpoken/0.32-2

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#441126; Package gfpoken. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: gfpoken - FTBFS: montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
Date: Thu, 6 Sep 2007 23:35:29 +0200
Package: gfpoken
Version: 0.30-2
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of gfpoken_0.30-2 on lxdebian.bfinv.de by sbuild/s390 98
[...]
> ./art/mkmarbles
> guessing 'blender-bin' == '/usr/bin/blender-bin'
> Compiled with Python version 2.4.4.
> Checking for installed Python... got it!
> Loading ./art/marbles.blend failed: File incomplete
> 
> Error: no such file or Blender text -- initdir.
> ERROR: No camera
> 
> Blender quit
> montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
> make[1]: *** [png/marbles.png] Error 1
> make[1]: Leaving directory `/build/buildd/gfpoken-0.30'
> make: *** [build-stamp] Error 2
> ******************************************************************************
> Build finished at 20070906-1352
> FAILED [dpkg-buildpackage died]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#441126; Package gfpoken. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 441126@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: Bastian Blank <waldi@debian.org>, 441126@bugs.debian.org
Subject: Re: Bug#441126: gfpoken - FTBFS: montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
Date: Fri, 7 Sep 2007 14:59:46 +0200
[Message part 1 (text/plain, inline)]
Hi,

Thanks for letting me know.  This seems to be an endianness-problem in
Blender, seeing that the same failure happens on mips, but not on
mipsel or other little-endian architectures.  (There's a different error
there ;-) ).

I'll file a bug there and block this one on it.  In the meantime, I'll
ship pre-built images and let the build work even if blender can't load
the file.  While I don't like using precompiled files, it is better than
waiting possibly a long time for a fix which will probably not be given
high priority by the Blender people.

Thanks again,
Bas Wijnen

On Thu, Sep 06, 2007 at 11:35:29PM +0200, Bastian Blank wrote:
> Package: gfpoken
> Version: 0.30-2
> Severity: serious
> 
> There was an error while trying to autobuild your package:
> 
> > Automatic build of gfpoken_0.30-2 on lxdebian.bfinv.de by sbuild/s390 98
> [...]
> > ./art/mkmarbles
> > guessing 'blender-bin' == '/usr/bin/blender-bin'
> > Compiled with Python version 2.4.4.
> > Checking for installed Python... got it!
> > Loading ./art/marbles.blend failed: File incomplete
> > 
> > Error: no such file or Blender text -- initdir.
> > ERROR: No camera
> > 
> > Blender quit
> > montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
> > make[1]: *** [png/marbles.png] Error 1
> > make[1]: Leaving directory `/build/buildd/gfpoken-0.30'
> > make: *** [build-stamp] Error 2
> > ******************************************************************************
> > Build finished at 20070906-1352
> > FAILED [dpkg-buildpackage died]
> 
> 
> _______________________________________________
> Pkg-games-devel mailing list
> Pkg-games-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-games-devel

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://pcbcn10.phys.rug.nl/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 441126 added: 441216 Request was from Bas Wijnen <wijnen@debian.org> to control@bugs.debian.org. (Sat, 08 Sep 2007 11:45:01 GMT) Full text and rfc822 format available.

Severity set to `minor' from `serious' Request was from Bas Wijnen <wijnen@debian.org> to control@bugs.debian.org. (Sat, 08 Sep 2007 11:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#441126; Package gfpoken. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 441126@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Bas Wijnen <wijnen@debian.org>, 441126@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>
Subject: Re: Bug#441126: gfpoken - FTBFS: montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
Date: Mon, 10 Sep 2007 10:56:43 +0200
[Message part 1 (text/plain, inline)]
Bas Wijnen <wijnen@debian.org> (07/09/2007):
> Thanks for letting me know.  This seems to be an endianness-problem in
> Blender, seeing that the same failure happens on mips, but not on
> mipsel or other little-endian architectures.  (There's a different
> error there ;-) ).

Well, as I answered on the bug you opened, endianness might not be the
trivial problem, since powerpc is OK.

> I'll file a bug there and block this one on it.  In the meantime, I'll
> ship pre-built images and let the build work even if blender can't
> load the file.  While I don't like using precompiled files, it is
> better than waiting possibly a long time for a fix which will probably
> not be given high priority by the Blender people.

Given the pain we had to have them consider 64-bit troubles a problem
worth fixing, it might be that they don't care about mips and s390. :/

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#441126; Package gfpoken. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 441126@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 441126@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#441126: gfpoken - FTBFS: montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
Date: Wed, 7 Nov 2007 10:24:37 +0100
severity 441126 serious
thanks

On 10/09/07 at 10:56 +0200, Cyril Brulebois wrote:
> Bas Wijnen <wijnen@debian.org> (07/09/2007):
> > Thanks for letting me know.  This seems to be an endianness-problem in
> > Blender, seeing that the same failure happens on mips, but not on
> > mipsel or other little-endian architectures.  (There's a different
> > error there ;-) ).
> 
> Well, as I answered on the bug you opened, endianness might not be the
> trivial problem, since powerpc is OK.
> 
> > I'll file a bug there and block this one on it.  In the meantime, I'll
> > ship pre-built images and let the build work even if blender can't
> > load the file.  While I don't like using precompiled files, it is
> > better than waiting possibly a long time for a fix which will probably
> > not be given high priority by the Blender people.
> 
> Given the pain we had to have them consider 64-bit troubles a problem
> worth fixing, it might be that they don't care about mips and s390. :/
 
It's not an endianess problem: I see this too on i386. It seems to be
caused by the fact that something tries to write to $HOME during the
build.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Severity set to `serious' from `minor' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Wed, 07 Nov 2007 09:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#441126; Package gfpoken. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <shevek@fmf.nl>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #31 received at 441126@bugs.debian.org (full text, mbox):

From: Bas Wijnen <shevek@fmf.nl>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 441126@bugs.debian.org
Subject: Re: Bug#441126: gfpoken - FTBFS: montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
Date: Wed, 7 Nov 2007 11:44:24 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 07, 2007 at 10:24:37AM +0100, Lucas Nussbaum wrote:
> severity 441126 serious
> thanks

Why the severity-upgrade?  The actual problem is in blender AFAIK, not
in gfpoken, so if the severity must be upgraded, it should be that of
#441216.  Gfpoken failed to build because of it, but that's
worked-around by using pre-built files when blender fails.

So at this moment the only thing I (as gfpoken maintainer) can do, is
wait for blender to be fixed.  In the meantime, there is no real problem
(because there is a workaround).  This doesn't seem "serious" to me.

> It's not an endianess problem: I see this too on i386.

You do?  It built fine for me on i386.  What version of blender is this
about?  It can't be a blender version problem either, because on mips it
fails, but on mipsel it succeeds, and both builds used 2.45-1.

> It seems to be caused by the fact that something tries to write to
> $HOME during the build.

I took a lot of care to get rid of that problem (setting $HOME to a
tempdir, for example).  If I missed something, please let me know what.
However, it seems unlikely because the buildds use a nonexistent home,
and many of them can build the package successfully (including running
blender).

Thanks,
Bas

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://pcbcn10.phys.rug.nl/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#441126; Package gfpoken. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 441126@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Bas Wijnen <shevek@fmf.nl>
Cc: 441126@bugs.debian.org
Subject: Re: Bug#441126: gfpoken - FTBFS: montage: unable to open image `/tmp/tmp.pFPMh17125/blender//0064.png': No such file or directory.
Date: Wed, 7 Nov 2007 12:22:15 +0100
On 07/11/07 at 11:44 +0100, Bas Wijnen wrote:
> > It's not an endianess problem: I see this too on i386.
> 
> You do?  It built fine for me on i386.  What version of blender is this
> about?  It can't be a blender version problem either, because on mips it
> fails, but on mipsel it succeeds, and both builds used 2.45-1.

Oops, my problem is slightly different. I'll file a different bug on
gfpoken.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Severity set to `minor' from `serious' Request was from Bas Wijnen <wijnen@debian.org> to control@bugs.debian.org. (Sun, 11 Nov 2007 14:00:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 13:57:08 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Wed, 23 Mar 2011 08:06:03 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Wed, 23 Mar 2011 08:06:03 GMT) Full text and rfc822 format available.

Message #45 received at 441126-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 441126-close@bugs.debian.org
Subject: Bug#441126: fixed in gfpoken 0.32-2
Date: Wed, 23 Mar 2011 08:03:58 +0000
Source: gfpoken
Source-Version: 0.32-2

We believe that the bug you reported is fixed in the latest version of
gfpoken, which is due to be installed in the Debian FTP archive:

gfpoken_0.32-2.debian.tar.gz
  to main/g/gfpoken/gfpoken_0.32-2.debian.tar.gz
gfpoken_0.32-2.dsc
  to main/g/gfpoken/gfpoken_0.32-2.dsc
gfpoken_0.32-2_amd64.deb
  to main/g/gfpoken/gfpoken_0.32-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441126@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated gfpoken package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 22 Mar 2011 23:01:18 +0800
Source: gfpoken
Binary: gfpoken
Architecture: source amd64
Version: 0.32-2
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 gfpoken    - Recreate a grid of mirrors from clues given by tests
Closes: 441126 554543
Changes: 
 gfpoken (0.32-2) unstable; urgency=low
 .
   * Team upload.
   * Upgrade to new debhelper override_* rules
   * Use the dpkg-source v3 format
   * Add patch to fix FTBFS with binutils-gold (Closes: #554543)
   * Bump Standards-Version, no changes needed
   * Drop filename for GPL-any from copyright info, not needed
   * Add patch to direct blender output to the right place (Closes: #441126)
   * Packaging whitespace and wrapping fixes
Checksums-Sha1: 
 fbdcaf10734dec8c51534a558e825c8f2da97a35 1304 gfpoken_0.32-2.dsc
 6538bdf7085f3b70d56eaa800a5c8f1c1e8a24e8 5357 gfpoken_0.32-2.debian.tar.gz
 8f8c33565a6bff41afe56d4010cfd99f2f9e1836 288788 gfpoken_0.32-2_amd64.deb
Checksums-Sha256: 
 523b613ef9686069e965510bb8b92fb064ec6b7a434f4c18436e761ff2a4b6cf 1304 gfpoken_0.32-2.dsc
 904e41400a11c1783da1baec16eab5e782257e466db2d5e9cf0ebc1330c6fb9f 5357 gfpoken_0.32-2.debian.tar.gz
 83e3eeae44d4a47a550761306c36388a02d54fd085cc4e4089ef3b01b9c53f0c 288788 gfpoken_0.32-2_amd64.deb
Files: 
 a68d15f2ed2290ff6333e75fee4e064d 1304 games optional gfpoken_0.32-2.dsc
 c26b2693f7fa3f5396f0b57a87e56c6d 5357 games optional gfpoken_0.32-2.debian.tar.gz
 f1d089d4ad98dcc4414341406cf8adb9 288788 games optional gfpoken_0.32-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2IvD0ACgkQ5Sc9mGvjxCNJOACgwo+mCYCeL+Rk7CzztxPctX2R
inAAn1MRZQt25SKXtfwwlGq9sTZe0P7U
=JAPA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:56:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:09:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.